---
title: Navigator.mozIsLocallyAvailable()
slug: Web/API/Navigator/mozIsLocallyAvailable
tags:
  - API
  - Method
  - Navigator
  - Non-standard
  - Obsolete
---
<div>{{APIRef("HTML DOM")}}{{non-standard_header}}{{obsolete_header}}</div>

<p>The <strong><code>Navigator.mozIsLocallyAvailable()</code></strong> method allows add-ons to determine whether or not a given resource is available.</p>

<p>{{Note("Security exceptions can occur if the requested URI is not from the same origin.")}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">navigator.mozIsLocallyAvailable(<em>uri</em>, <em>ifOffline</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>uri</code></dt>
 <dd>The URI of the resource whose availability is to be checked, as a string.</dd>
 <dt><code>ifOffline</code></dt>
 <dd>
 <p>Allows you to specify whether or not the offline resources cache should be checked; specify <code>true</code> to consider the offline resources cache.</p>
 </dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var available = navigator.mozIsLocallyAvailable("my-image-file.png", true);
if (available) {
  /* the offline resource is present */
} else {
  console.log("Certain needed resources are not available offline");
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specifications.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.mozIsLocallyAvailable")}}</p>
